Subject: RE: [lojban] if

From: "And Rosta" <[email-masked]>
Date: Sun, 2 Dec 2001 19:38:48 -0000

Greg:
> I think it's time we had another fight about if... zo'o (especially as I've
> never been in one).
> 
> First thing I've been wondering about: It is generally accepted that
> not-or is not a good natlang paraphrase of if ; compare :
> 
> If it is good weather, we go for a walk.
> 
> It's not good weather or we go for a walk.
> 
> But, as the truth values correspond, the sentences both mean the same thing:
> 
> good weather -> go for walk
> not good weather -> go for a walk or not go for a walk
> 
> I believe ganai - gi works perfectly well
> 
> ganai xamgu tcima gi cadzu
> 
> other sentences that can't be translated with ganai (using words I happen to
> know the lojban for):
> 
> I you meet john, welcome him

Connectives linking items with different illocutionary force present
problems more general than how to translate "if".

> It's ridiculous to use ganai gi, as this sentence does not cover cases when
> you don't meet john. 

I think xod misunderstood what you meant here. I read you as saying
the following (which I agree with):

'logical' if (ga nai gi) has the following truth table:

p q p -> q
t t t
t f f
f t t
f f t

BUT, English "if" claims something like the following truth table:

p q if p then q
t t t
t f f

Ergo, English "if" is not logical if.

McCawley produced various conclusive arguments to demonstrate this,
some of which are (or were, when I read it several weeks ago) cited 
(without attribution, but by Jorge, I presume) on the wiki. One
argument is that they behave differently under negation:

p q not (p -> q)
t t f
t f t
f t f
f f f

i.e. the (incorrect) claim would be that "It is not the case that
if it is raining I will take my umbrella" means "It is raining
and I will not take my umbrella".

> I suggest:
> 
> fau lenu do penmi la djan. ku ko cusku lu fi'i djan

Literally you're commanding the hearer not only to say
"welcome" but also to meet John.

BAI are absolutely not the way to do "if".

> 
> I have more trouble with the sentence
> 
> if you had met john, you'd have thought he was handsome.
> 
> Grice says that in fact you didn't meet john, so ganai gi logic says we'll
> never know what your opinion of his handsomeness is.
> 
> fau da'i lenu do pu penmi la djan kei do jinvi ledu'u ri melbi
> 
> The last type I have to suggest is:
> 
> It is not true that If I'm rich, I'm happy
> 
> naku lonu mi ricfu ku nibli lonu mi gleki
> 
> Where does mu'ei fit?

mu'ei is like a ROI equivalent of cu'o. It means "in n relevant
possible worlds, [bridi q is the case]". As a tcita before sumti p,
it means "in n relevant possible worlds in which p is the case,
q is the case". This accurately renders English "if". It also
handles modals like "maybe" and "definitely".

> What do I do with sentences like "he wouldn't have been caught if he hadn't
> been there" which usually assert that he was caught and he was there?

{mu'ei} can handle an interpretation which doesn't assert whether
he was caught or was there. To express counterfactuality, some sort
of UI is required, but I don't know whether an appropriate UI exists
or whether experimental cmavo are needed.

In summary, to render English "if":
* ga nai gi *sometimes* works; it depends on the example. 
* mu'ei always works (tho can't do counterfactuality); it also has the
advantage of being in ROI, the most convenient selmaho for the job.
* nibli works for "if p is the case then q would be the case" but
not for "if p is the case then q could be the case".
* other suggestions I've seen, such as using BAI, do not work.

--And.